1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.3 Does xenforo 1.3 support PHP 5.5?

Discussion in 'XenForo Questions and Support' started by kevinchan, Jul 10, 2014.

  1. kevinchan

    kevinchan Member

    Hi Guys,

    I have just upgraded my Forum which running on Xenforo 1.3 to PHP version 5.5, then i got the error message while accessing my forum: "An unexpected database error occurred. Please try again later."

    May i know if anyone encountered this issue before? and how can i fix it?

  2. Amaury

    Amaury Well-Known Member

    Check your server error logs. If I recall, that message is suppressing an error.
  3. Liam W

    Liam W Well-Known Member

    Check the HTML source for the database error.
    Amaury likes this.
  4. Brogan

    Brogan XenForo Moderator Staff Member

    The actual error is this: The server requested authentication method unknown to the client

    Which version of MySQL are you running?
  5. kevinchan

    kevinchan Member

    Hi Brogan,

    My forum is running My SQE Version: 5.5.32. and now i'm able to access into the admin CP as well...:cry:

    Thanks all!...
  6. Brogan

    Brogan XenForo Moderator Staff Member

    A quick Google search shows the potential cause being the new password hash length introduced in MySQL 4.1. The old one is not compatible with PHP 5.3+.


    If you have managed hosting, your host should be able to help resolve it.
    SneakyDave likes this.
  7. kevinchan

    kevinchan Member

    Thank yo so much Brogan. I will just check with my hosting then. :)

Share This Page